RBOT-REMOTE(1)

NAME
rbot-remote - IRC bot written in ruby

SYNOPSIS

rbot-remote {{[-u USER] | [--user USER]} {[-p PASSWORD] | [--password PASSWORD]}} [{[-d DEST] | [--destination DEST]} {[-r DRB_URI] | [--uri DRB_URI]} {[-h] | [--help]} {[-a] | [--about]}]

DESCRIPTION

rbot-remote is a proof-of-concept example for rbot druby-based api. This program reads lines of text from the standard input and sends them to a specified irc channel or user via rbot.

Make sure you have the remotectl plugin loaded and assigned the needed rights to the user before use.

OPTIONS

This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-u USER, --user USER
    Remote user.

-p PASSWORD, --password PASSWORD
    Remote user password.

-d DEST, --destination DEST
    Destination for message (user or channel).

-r DRB_URI, --uri DRB_URI
    Rbot url.

-h, --help
    Show summary of options.

-a, --about
    Tell what it's all about.

VERSION

This manual page was written by Marc Dequènes (Duck) <Duck@DuckCorp.org> for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHORS

Marc Dequènes <Duck@DuckCorp.org>
    Debian(TM) package maintainer

Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    rbot-remote maintainer

COPYRIGHT
Copyright © 2004-2009 Marc Dequènes (Duck)
Copyright © 2010 Giuseppe Bilotta